# NetworkedBehaviour.SendToClientTarget(T) Method (Int32, String, String, T)
Sends a buffer to a client with a given clientId from Server. Only handlers on this NetworkedBehaviour gets invoked

MLAPI API Reference

# NetworkedBehaviour
SendToClientTarget
T
Method (Int32, String, String, T)

[This is preliminary documentation and is subject to change.]

Sends a buffer to a client with a given clientId from Server. Only handlers on this NetworkedBehaviour gets invoked

Namespace: MLAPI.MonoBehaviours.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    protected void SendToClientTarget<T>(
    	int clientId,
    	string messageType,
    	string channelName,
    	T instance
    )

Request Example
View Source

#### Parameters

clientId
  Type: System
  Int32
  The clientId to send the message to
messageType
  Type: System
  String
  User defined messageType
channelName
  Type: System
  String
  User defined channelName
instance
  Type: T
  The instance to send

#### Type Parameters

T
  The class type to send

See Also

#### Reference

NetworkedBehaviour Class
SendToClientTarget Overload
MLAPI.MonoBehaviours.Core Namespace